Get activities

Get the list of tracking activities.

get
Query parameters
UserIdstringOptional

Filter by user id.

DeviceIdstringOptional

Filter by device id.

TrackingEventIdstringOptional

Filter by tracking event id.

URLstringOptional

Filter by the URL requested.

IpAddressstringOptional

Filter by the ip address.

OsstringOptional

Filter by the os.

BrowserNamestringOptional

Filter by the browser name.

BrowserVersionstringOptional

Filter by the browser version.

RequestFromMobilebooleanOptional

Filter by the request from mobile.

UserAgentstringOptional

Filter by the user agent.

LocationstringOptional

Filter by the location.

Latitudenumber · doubleOptional

Filter by the latitude.

Longitudenumber · doubleOptional

Filter by the longitude.

DescriptionstringOptional

Filter by the description.

TagsstringOptional

Filter by the tags.

KeywordsstringOptional

Filter by the keywords.

SortDataFieldstringOptional

The sort data field to sort. By default, the value is ID.

SortOrderstring · enumOptional

Specifies the sorting order type for a collection.

Possible values:
PageNumberinteger · int32Optional

The page number of the pagination. Default value is 0.

PageSizeinteger · int32Optional

The page size of the pagination. Default value is 200.

Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Auth-KeystringRequired

Auth-Key is required to authenticate the request. If missing, the server will return 401 Unauthorized.

Example: YOUR_AUTH_KEY
Responses
chevron-right
200

The request was successful.

application/json

This provides interfaces for API responses with data.

successbooleanRead-onlyRequired

This is the flag to indicate whether the API call is successful or not.

statusCodeinteger · int32Read-onlyRequired

This is the HTTP status code. This is used to determine the status code to be returned to the client.

messagestring · min: 1Read-onlyRequired

This is the message to be displayed to the user.

get
/api/v1/tracking-activities

Last updated